org.apache.tools.ant.taskdefs.rmic

## Class KaffeRmic

- java.lang.Object
- - org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter
  - - org.apache.tools.ant.taskdefs.rmic.KaffeRmic

All Implemented Interfaces:
  RmicAdapter

    public class KaffeRmic
    extends DefaultRmicAdapter

The implementation of the rmic for Kaffe

Since:
  Ant 1.4

### Field Summary

Fields
`static java.lang.String` `COMPILER_NAME` the name of this adapter for users to select

### Fields inherited from class org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter

`RMI_SKEL_SUFFIX, RMI_STUB_SUFFIX, RMI_TIE_SUFFIX, STUB_1_1, STUB_1_2, STUB_COMPAT, STUB_OPTION_1_1, STUB_OPTION_1_2, STUB_OPTION_COMPAT`

### Constructor Summary

Constructors
Constructor and Description
`KaffeRmic()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected boolean` `areIiopAndIdlSupported()` Whether the iiop and idl switches are supported.
`boolean` `execute()` Call the rmic compiler.
`static boolean` `isAvailable()` test for kaffe being on the system

### Methods inherited from class org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter

`addStubVersionOptions, filterJvmCompilerArgs, getClasspath, getCompileClasspath, getMapper, getRmic, getSkelClassSuffix, getStubClassSuffix, getTieClassSuffix, logAndAddFilesToCompile, preprocessCompilerArgs, setRmic, setupRmicCommand, setupRmicCommand`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COMPILER_NAME

    public static final java.lang.String COMPILER_NAME

the name of this adapter for users to select

See Also:
  Constant Field Values

### Constructor Detail

#### KaffeRmic

    public KaffeRmic()

### Method Detail

#### areIiopAndIdlSupported

    protected boolean areIiopAndIdlSupported()

Description copied from class: `DefaultRmicAdapter`
Whether the iiop and idl switches are supported.

This implementation returns false if running on Java 11 onwards and true otherwise.

Overrides:
  `areIiopAndIdlSupported` in class `DefaultRmicAdapter`
Returns:
  true if the iiop and idl switches are supported
Since:
  Ant 1.9.11

#### execute

    public boolean execute()
                    throws BuildException

Call the rmic compiler.

Returns:
  true if has the compilation been successful
Throws:
  `BuildException` - on error

#### isAvailable

    public static boolean isAvailable()

test for kaffe being on the system

Returns:
  true if kaffe is on the current classpath